Bug 191478 - [RFE] Move kpartx to base device-mapper package.
[RFE] Move kpartx to base device-mapper package.
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Alasdair Kergon
Depends On:
  Show dependency treegraph
Reported: 2006-05-12 08:17 EDT by Bill Rugolsky, Jr.
Modified: 2007-11-30 17:11 EST (History)
11 users (show)

See Also:
Fixed In Version: old
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-19 17:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Rugolsky, Jr. 2006-05-12 08:17:35 EDT
Pete Zaitcev alerted me to the presence of kpartx in device-mapper-multipath. 
As kpartx is more generally useful for with MD, as well as hard disk images used
by UML, QEMU, etc., it would be better if it was part of the base device-mapper
Comment 1 Alasdair Kergon 2006-05-12 09:15:17 EDT
I'm intending to do that when I find the time, but the logistics are not simple.
Comment 2 Christophe Varoqui 2006-05-12 14:41:10 EDT
Let me know what I can do to ease the move.
Comment 3 Alasdair Kergon 2006-11-19 17:54:54 EST
Peter Jones dealt with this by extracting it as a subpackage at build time.

Note You need to log in before you can comment on or make changes to this bug.